BUS_GENERIC_DETACH(9)

NAME
bus_generic_detach - generic implementation of DEVICE_DETACH for buses

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
int
bus_generic_detach(device_t dev);

DESCRIPTION
This function provides an implementation of the DEVICE_DETACH(9) method which can be used by most bus code. It uses bus_detach_children(9) to detach drivers from all child devices giving them a chance to veto the detach request. If bus_detach_children() succeeds, bus_generic_detach() calls device_delete_children(9) to delete all child devices.

RETURN VALUES
Zero is returned on success, otherwise an appropriate error is returned.

SEE ALSO
bus_detach_children(9), device(9), device_delete_children(9), driver(9)

AUTHORS
This manual page was written by Doug Rabson.